# debug.h File Reference

## Detailed Description

Copyright (C) 2006-2009, Paul Bakker <polarssl_maintainer at polarssl.org> All rights reserved.

Joined copyright on original XySSL code with: Christophe Devine

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Definition in file debug.h.

`#include "polarssl/config.h"`
`#include "polarssl/ssl.h"`

Go to the source code of this file.

## Defines
#define | SSL_DEBUG_BUF(level, text, buf, len) do { } while( 0 )
#define | SSL_DEBUG_CRT(level, text, crt) do { } while( 0 )
#define | SSL_DEBUG_MPI(level, text, X) do { } while( 0 )
#define | SSL_DEBUG_MSG(level, args) do { } while( 0 )
#define | SSL_DEBUG_RET(level, text, ret) do { } while( 0 )
## Functions
char * | debug_fmt (const char *format,...)
void | debug_print_buf (ssl_context *ssl, int level, char *file, int line, char *text, unsigned char *buf, int len)
void | debug_print_crt (ssl_context *ssl, int level, char *file, int line, char *text, x509_cert *crt)
void | debug_print_mpi (ssl_context *ssl, int level, char *file, int line, char *text, mpi *X)
void | debug_print_msg (ssl_context *ssl, int level, char *file, int line, char *text)
void | debug_print_ret (ssl_context *ssl, int level, char *file, int line, char *text, int ret)

## Define Documentation

#define SSL_DEBUG_BUF | ( | level,
|  | text,
|  | buf,
|  | len |  | ) | do { } while( 0 )

Definition at line 50 of file debug.h.

#define SSL_DEBUG_CRT | ( | level,
|  | text,
|  | crt |  | ) | do { } while( 0 )

Definition at line 52 of file debug.h.

#define SSL_DEBUG_MPI | ( | level,
|  | text,
|  | X |  | ) | do { } while( 0 )

Definition at line 51 of file debug.h.

#define SSL_DEBUG_MSG | ( | level,
|  | args |  | ) | do { } while( 0 )

Definition at line 48 of file debug.h.

#define SSL_DEBUG_RET | ( | level,
|  | text,
|  | ret |  | ) | do { } while( 0 )

Definition at line 49 of file debug.h.

## Function Documentation

char* debug_fmt | ( | const char * | format,
|  |  | ... |
| ) |  |  |

void debug_print_buf | ( | ssl_context * | ssl,
|  | int | level,
|  | char * | file,
|  | int | line,
|  | char * | text,
|  | unsigned char * | buf,
|  | int | len |
| ) |  |  |

void debug_print_crt | ( | ssl_context * | ssl,
|  | int | level,
|  | char * | file,
|  | int | line,
|  | char * | text,
|  | x509_cert * | crt |
| ) |  |  |

void debug_print_mpi | ( | ssl_context * | ssl,
|  | int | level,
|  | char * | file,
|  | int | line,
|  | char * | text,
|  | mpi * | X |
| ) |  |  |

void debug_print_msg | ( | ssl_context * | ssl,
|  | int | level,
|  | char * | file,
|  | int | line,
|  | char * | text |
| ) |  |  |

void debug_print_ret | ( | ssl_context * | ssl,
|  | int | level,
|  | char * | file,
|  | int | line,
|  | char * | text,
|  | int | ret |
| ) |  |  |